$success: #2ecc71;
$warning: #e67e22;
$danger: #e74c34;
$grey: #cccccc;

.alert {
  position: absolute;
  border-radius: 5px;
  box-sizing: border-box;
  color: white;
  font-size: 1.5em;
  margin: 5% 30%;
  padding: 1em;
  width: 40%;//calc(100% - 1000px);
  z-index: 99;
}

@each $name, $color in(
  'success': $success,
  'warning': $warning,
  'danger': $danger
) {
  .alert-#{$name} {
    background-color: $color;
  }
}

button:focus {
  outline: 0;
}

.close {
  position: absolute;
  top: 50%;
  right: 1%;
  transform: translateY(-50%);
  background-color: transparent;
  border: none;
  font-size: 2em;
  color: $grey;
  cursor: pointer;
  &:hover {
    color: inherit;
  }
}

.btn {
  border-radius: 5px;
  border: solid 1px #000000;
  box-sizing: border-box;
  cursor: pointer;
  font-size: 1.5em;
  text-align: center;
  margin: 0 auto;
  margin-bottom: 1em;
  padding: 1em;
  width: 40%;
}

.reset {
  background-color: transparent;
  border: solid 3px $grey;
  color: $grey;
  transition: background-color 0.5s linear 0.1s;
  &:hover {
    background-color: $grey;
    color: white;
  }
}